Retrieve contracts owned by an account

Returns a list of contracts (i.e. collections) based on type of ownership:

  1. owns_contract_nfts- the given account (wallet) address owns at least one NFT.
  2. owns_contracts- the given account (wallet) address is the owner of the contract.

Useful for:

  • Showing the user a list of contracts in which they own NFTs.
  • Showing the user a list of contracts owned by them.
  • Checking if a user owns an NFT in a specific collections and then unlocking some experience for them, i.e. token-gating. (You are still responsible for validating that the user owns the wallet.)

Related:

Path Params
string
required
Defaults to 0xf5663d0eee3620c4a88e28e392aac72d077a8c4d

Account address from which to fetch contracts.

Query Params
string
enum
required
Defaults to ethereum

Blockchain from which to query contracts.

Allowed:
string
enum
required
Defaults to owns_contract_nfts

Type of ownership. owns_contract_nfts gets contracts where the given account (wallet) address owns at least one NFT and owns_contracts gets contracts where the given account (wallet) address is the owner of the contract.

Allowed:
integer
1 to 20
Defaults to 20

The number of results returned per page. Limit can range between 1 and 50, and the default is 50.

string

Continuation. Pass this value from the previous response to fetch the next page.

Response

contracts property that contains an array of up to page_size contracts. Each entry in the array is a separate contract. If no more NFTs are available, the resulting array will be empty.

Language
Credentials
Header
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json